package com.jeeplus.pubmodules.wareHouse.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jeeplus.pubmodules.wareHouse.domain.WarehouseUpHi;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface WarehouseUpHiMapper extends BaseMapper<WarehouseUpHi> {

    // 根据入库表id获取原数据 endFlag = '0'
    String getSourceData(String warehouseId);

    // 根据入库表id查询其全部历史修改数据
    List<WarehouseUpHi> findHiById(String warehouseId);

    // 根据历史表id查询历史表数据
    WarehouseUpHi findHiByHiId(String hiId);

    // 根据入库表id查询最近的一个修改历史
    WarehouseUpHi findLastHiByid(String warehouseId);
}




